## maas 2.2.0+bzr6054

=== Makefile ===
python := python3.5

# pkg_resources makes some incredible noise about version numbers. They
# are not indications of bugs in MAAS so we silence them everywhere.
export PYTHONWARNINGS = \
  ignore:You have iterated over the result:RuntimeWarning:pkg_resources:

# Network activity can be suppressed by setting offline=true (or any
# non-empty string) at the command-line.
ifeq ($(offline),)
buildout := bin/buildout
else
buildout := bin/buildout buildout:offline=true
endif

# If offline has been selected, attempt to further block HTTP/HTTPS
# activity by setting bogus proxies in the environment.
ifneq ($(offline),)
export http_proxy := broken
export https_proxy := broken
endif

# Python enum modules.
py_enums := $(wildcard src/*/enum.py)
# JavaScript enum module (not modules).
js_enums := src/maasserver/static/js/enums.js
templates := $(shell find etc/maas/templates -type f)

# MAAS SASS stylesheets. The first input file (maas-styles.css) imports
# the others, so is treated specially in the target definitions.
scss_theme := include/nodejs/node_modules/maas-gui-vanilla-theme
scss_input := src/maasserver/static/scss/build.scss
scss_deps := $(wildcard src/maasserver/static/scss/_*.scss)
scss_output := src/maasserver/static/css/build.css

# Prefix commands with this when they need access to the database.
# Remember to add a dependency on bin/database from the targets in
# which those commands appear.
dbrun := bin/database --preserve run --

# Disable progress when running npm and warning log levels.
npm_install := NODE_ENV=production NPM_CONFIG_PROGRESS="false" npm install \
	--loglevel error --cache-min 600

# For things that care, postgresfixture for example, we always want to
# use the "maas" databases.
export PGDATABASE := maas

# For anything we start, we want to hint as to its root directory.
export MAAS_ROOT := $(CURDIR)/.run

build: \
  bin/buildout \
  bin/database \
  bin/maas \
  bin/maas-rack \
  bin/maas-region \
  bin/twistd.rack \
  bin/twistd.region \
  bin/test.cli \
  bin/test.rack \
  bin/test.region \
  bin/test.region.legacy \
  bin/test.testing \
  bin/test.js \
  bin/test.e2e \
  bin/test.parallel \
  bin/py bin/ipy \
  $(js_enums)

all: build doc

# Install all packages required for MAAS development & operation on
# the system. This may prompt for a password.
install-dependencies: release := $(shell lsb_release -c -s)
install-dependencies:
	sudo DEBIAN_FRONTEND=noninteractive apt-get -y \
	    --no-install-recommends install $(shell sort -u \
	        $(addprefix required-packages/,base build dev doc $(release)) | sed '/^\#/d')
	sudo DEBIAN_FRONTEND=noninteractive apt-get -y \
	    purge $(shell sort -u required-packages/forbidden | sed '/^\#/d')

.bzrignore: FORCE
	LC_ALL=C.UTF-8 sort -f $@ --output $@

.gitignore: .bzrignore
	sed 's:^[.]/:/:' $^ > $@

configure-buildout:
	utilities/configure-buildout

sudoers:
	utilities/grant-nmap-permissions
	utilities/install-arp-observer
	utilities/install-dhcp-observer

bin/buildout: bootstrap-buildout.py
	@utilities/configure-buildout --quiet
	$(python) bootstrap-buildout.py --allow-site-packages
	@touch --no-create $@  # Ensure it's newer than its dependencies.

# buildout.cfg refers to .run and .run-e2e.
buildout.cfg: .run .run-e2e

bin/database: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install database
	@touch --no-create $@

bin/test.parallel: \
  bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install parallel-test
	@touch --no-create $@

bin/maas-region bin/twistd.region: \
    bin/buildout buildout.cfg versions.cfg setup.py \
    $(js_enums) $(scss_output)
	$(buildout) install region
	@touch --no-create $@

bin/test.region: \
  bin/buildout buildout.cfg versions.cfg setup.py $(js_enums) \
  bin/maas-region bin/maas-rack
	$(buildout) install region-test
	@touch --no-create $@

bin/test.region.legacy: \
    bin/buildout buildout.cfg versions.cfg setup.py $(js_enums)
	$(buildout) install region-test-legacy
	@touch --no-create $@

bin/maas: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install cli
	@touch --no-create $@

bin/test.cli: bin/buildout buildout.cfg versions.cfg setup.py bin/maas
	$(buildout) install cli-test
	@touch --no-create $@

bin/test.js: bin/karma bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install js-test
	@touch --no-create $@

bin/test.e2e: \
    bin/protractor bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install e2e-test
	@touch --no-create $@

# bin/maas-region is needed for South migration tests. bin/flake8 is
# needed for checking lint and bin/sass is needed for checking css.
bin/test.testing: \
  bin/maas-region bin/flake8 bin/sass $(scss_theme) bin/buildout \
  buildout.cfg versions.cfg setup.py
	$(buildout) install testing-test
	@touch --no-create $@

bin/maas-rack bin/twistd.rack: \
  bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install rack
	@touch --no-create $@

bin/test.rack: \
  bin/buildout buildout.cfg versions.cfg setup.py bin/maas-rack bin/py
	$(buildout) install rack-test
	@touch --no-create $@

bin/flake8: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install flake8
	@touch --no-create $@

bin/sphinx bin/sphinx-build: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install sphinx
	@touch --no-create $@

bin/py bin/ipy: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install repl
	@touch --no-create bin/py bin/ipy

bin/coverage: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install coverage
	@touch --no-create bin/coverage

define karma-deps
  jasmine-core@2.4.1
  karma@0.13.19
  karma-chrome-launcher@0.2.2
  karma-firefox-launcher@0.1.7
  karma-jasmine@0.3.6
  karma-opera-launcher@0.3.0
  karma-phantomjs-launcher@0.2.3
  karma-failed-reporter@0.0.3
  phantomjs@2.1.7
endef

bin/karma: deps = $(strip $(karma-deps))
bin/karma: prefix = include/nodejs
bin/karma:
	@mkdir -p $(@D) $(prefix)
	$(npm_install) --prefix $(prefix) $(deps)
	@ln -srf $(prefix)/node_modules/karma/bin/karma $@

bin/protractor: prefix = include/nodejs
bin/protractor:
	@mkdir -p $(@D) $(prefix)
	$(npm_install) --prefix $(prefix) protractor@3.0.0
	@ln -srf $(prefix)/node_modules/protractor/bin/protractor $@

bin/sass: prefix = include/nodejs
bin/sass:
	@mkdir -p $(@D) $(prefix)
	$(npm_install) --prefix $(prefix) node-sass@3.4.2
	@ln -srf $(prefix)/node_modules/node-sass/bin/node-sass $@

define test-scripts
  bin/test.cli
  bin/test.rack
  bin/test.region
  bin/test.region.legacy
  bin/test.testing
  bin/test.js
endef

lxd:
	utilities/configure-lxd-profile
	utilities/create-lxd-xenial-image

test+lxd: lxd $(strip $(test-scripts))
	utilities/isolated-make-test

test: bin/test.parallel bin/coverage
	@$(RM) .coverage .coverage.*
	@bin/test.parallel --subprocess-per-core
	@bin/coverage combine

test-serial: $(strip $(test-scripts))
	@bin/maas-region makemigrations --dry-run --exit && exit 1 ||:
	@$(RM) .coverage .coverage.* .failed
	$(foreach test,$^,$(test-template);)
	@test ! -f .failed

test-failed: $(strip $(test-scripts))
	@bin/maas-region makemigrations --dry-run --exit && exit 1 ||:
	@$(RM) .coverage .coverage.* .failed
	$(foreach test,$^,$(test-template-failed);)
	@test ! -f .failed

clean-failed:
	$(RM) .noseids

src/maasserver/testing/initial.maas_test.sql: bin/database syncdb
	bin/database --preserve run -- \
	    pg_dump maas --no-owner --no-privileges \
	        --format=plain > $@

test-initial-data: src/maasserver/testing/initial.maas_test.sql

define test-template
$(test) --with-xunit --xunit-file=xunit.$(notdir $(test)).xml || touch .failed
endef

define test-template-failed
  $(test) --with-xunit --xunit-file=xunit.$(notdir $(test)).xml --failed || \
  $(test) --with-xunit --xunit-file=xunit.$(notdir $(test)).xml --failed || \
  touch .failed
endef

smoke: lint bin/maas-region bin/test.rack
	@bin/maas-region makemigrations --dry-run --exit && exit 1 ||:
	@bin/test.rack --stop

test-serial+coverage: export NOSE_WITH_COVERAGE = 1
test-serial+coverage: test-serial

coverage-report: coverage/index.html
	sensible-browser $< > /dev/null 2>&1 &

coverage.xml: bin/coverage .coverage
	bin/coverage xml -o $@

coverage/index.html: revno = $(or $(shell bzr revno 2>/dev/null),???)
coverage/index.html: bin/coverage .coverage
	@$(RM) -r $(@D)
	bin/coverage html \
	    --title "Coverage for MAAS r$(revno)" \
	    --directory $(@D)

.coverage:
	@$(error Use `$(MAKE) test` to generate coverage)

lint: \
    lint-py lint-py-complexity lint-py-imports \
    lint-js lint-junk lint-doc lint-rst

pocketlint = $(call available,pocketlint,python-pocket-lint)

# XXX jtv 2014-02-25: Clean up this lint, then make it part of "make lint".
lint-css: sources = src/maasserver/static/css
lint-css:
	@find $(sources) -type f \
	    -print0 | xargs -r0 $(pocketlint) --max-length=120

# Python lint checks are time-intensive, but flake8 now knows how to run
# parallel jobs, and does so by default.
lint-py: sources = setup.py src templates twisted
lint-py: bin/flake8
	@find $(sources) -name '*.py' \
	  ! -path '*/migrations/*' ! -path '*/south_migrations/*' -print0 \
	    | xargs -r0 bin/flake8 --ignore=E123,E305,E402,E731 --isolated

# Ignore tests when checking complexity. The maximum complexity ought to
# be close to 10 but MAAS has many functions that are over that so we
# start with a much higher number. Over time we can ratchet it down.
lint-py-complexity: maximum=26
lint-py-complexity: sources = setup.py src templates twisted
lint-py-complexity: bin/flake8
	@find $(sources) -name '*.py' \
	  ! -path '*/migrations/*' ! -path '*/south_migrations/*' \
	  ! -path '*/tests/*' ! -path '*/testing/*' ! -name 'testing.py' \
	  -print0 | xargs -r0 bin/flake8 --ignore=E123,E305,E402,E731 \
	              --isolated --max-complexity=$(maximum)

# Statically check imports against policy.
lint-py-imports: sources = setup.py src templates twisted
lint-py-imports:
	@utilities/check-imports
	@find $(sources) -name '*.py' \
	  ! -path '*/migrations/*' ! -path '*/south_migrations/*' \
	  -print0 | xargs -r0 utilities/find-early-imports

lint-doc:
	@utilities/doc-lint

# JavaScript lint is checked in parallel for speed.  The -n20 -P4 setting
# worked well on a multicore SSD machine with the files cached, roughly
# doubling the speed, but it may need tuning for slower systems or cold caches.
lint-js: sources = src/maasserver/static/js
lint-js:
	@find $(sources) -type f ! -path '*/angular/3rdparty/*' \
	    '(' -name '*.html' -o -name '*.js' ')' -print0 \
		| xargs -r0 -n20 -P4 $(pocketlint)

# Sometimes junk gets added to MAAS, like .moved files.
lint-junk:
	@if bzr ls --recursive --versioned | egrep '[.]moved$$'; then \
	    echo "^ Junk found. Please remove it from the tree." >&2 ; fi

# Apply automated formatting to all Python files.
format: sources = $(wildcard *.py contrib/*.py) src templates twisted utilities etc
format:
	@find $(sources) -name '*.py' -print0 | xargs -r0 utilities/format-imports

# Update copyright dates from version history. Try to avoid updating
# 3rd-party code by checking for "Canonical" or "MAAS" on the same line
# as the copyright header.
copyright:
	@bzr ls --versioned --recursive --kind=file --null | \
	    xargs -r0 egrep -iI 'copyright.*(canonical|maas)' -lZ | \
	    xargs -r0 bzr update-copyright --quiet --force-range

check: clean test

docs/api.rst: bin/maas-region src/maasserver/api/doc_handler.py syncdb
	bin/maas-region generate_api_doc > $@

sampledata: bin/maas-region bin/database syncdb
	$(dbrun) bin/maas-region generate_sample_data

doc: bin/sphinx docs/api.rst
	bin/sphinx

docs/_build/html/index.html: doc

doc-browse: docs/_build/html/index.html
	sensible-browser $< > /dev/null 2>&1 &

doc-with-versions: bin/sphinx docs/api.rst
	$(MAKE) -C docs/_build SPHINXOPTS="-A add_version_switcher=true" html

man: $(patsubst docs/man/%.rst,man/%,$(wildcard docs/man/*.rst))

man/%: docs/man/%.rst | bin/sphinx-build
	bin/sphinx-build -b man docs man $^

=== requirements.txt ===
bson==0.4.3
convoy==0.4.4
crochet==1.5.0
django==1.8
formencode==1.3.1
httplib2==0.9.2
jsonschema==2.5.1
lxml==3.5.0
netaddr==0.7.18
netifaces==0.10.4
oauthlib==1.1.2
paramiko==1.16.3
petname==2.0
pexpect==4.2.0
psycopg2==2.6.2
pyopenssl==16.0.0
pyparsing==2.0.7
pyvmomi==6.0.0.2016.6
requests==2.11.0
service_identity==16.0.0
sphinx==1.4.5
tempita==0.5.2
twisted==16.4.1
zope.interface==4.2.0
git+https://github.com/seamicro/python-seamicroclient@master#egg=python-seamicroclient
git+https://github.com/shylent/python-tx-tftp@master#egg=python-tx-tftp
git+https://github.com/Supervisor/supervisor@master#egg=supervisor
http://pyyaml.org/download/pyyaml/PyYAML-3.11.tar.gz#egg=pyyaml
bzr+lp:curtin#egg=curtin
bzr+lp:simplestreams#egg=python-simplestreams
bzr+lp:ubuntu/wily/python-oauth#egg=oauth
bzr+lp:~maas-maintainers/maas/piston3#egg=django-piston3

=== debian/changelog ===
maas (2.2.0+bzr6054-0ubuntu2~16.10.1) yakkety-proposed; urgency=medium

  * Stable Release Update. New MAAS upstream release 2.2.0 (LP: #1696752)
    - Support for Intel Rack Scale Design as a MAAS Pod.
    - Support for KVM as a MAAS Pod.
    - Support for Hardware Testing.
    - Support for Unmanaged Subnets.
    - Support for L2 Spaces.
    - Support for DHCP Relay.
    - Support for FB Wedge 40 & 100 switch discovery and deployment.
    - Improve Windows deployment.
    - Improved Commissioning environment.
    - Improved UX & UI.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 08 Jun 2017 19:42:04 -0400

maas (2.1.5+bzr5596-0ubuntu1~16.10.1) yakkety-proposed; urgency=medium

   * Stable Release Update. New MAAS upstream bugfix release 2.1.5 (LP: #1669498)
     - MAAS 2.1.5 is a new upstream bugfix release that fixes several bugs
       present on MAAS 2.1.0. This is solely a bugfix release. To see what
       issues this release fixes, please refer to the CHANGELOG.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 27 Mar 2017 20:36:13 -0400

maas (2.1.3+bzr5573-0ubuntu1~16.10.1) yakkety-proposed; urgency=medium

  * Stable Release Update. New MAAS upstream bugfix release 2.1.3 (LP: #1644071)
    - MAAS 2.1.3 is a new upstream bugfix release that fixes several bugs
      present on MAAS 2.1.0. This is solely a bugfix release. To see what
      issues this release fixes, please refer to the CHANGELOG.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 22 Dec 2016 08:22:55 -0500

maas (2.1.1+bzr5544-0ubuntu1~16.10.1) yakkety-proposed; urgency=medium

  * Stable Release Update. New MAAS upstream bugfix release 2.1.1 (LP: #1639766)
    - MAAS 2.1.1 is a new upstream bugfix that fixes several bugs present
      on MAAS 2.1.0. This is solely a bugfix release. To see what issues
      this release fixes please refer to the CHANGELOG.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 24 Oct 2016 11:28:59 -0400

=== debian/rules ===
#!/usr/bin/make -f

BUILDHOME = $(CURDIR)/debian/build
PYTHON3 = $(shell py3versions -d)
# Python enum modules.
py_enums := $(wildcard src/*/enum.py)

%:
	dh $@ --with python3,apport,systemd --buildsystem=pybuild

override_dh_auto_test:
	# do nothing as we don't want the tests to run because they require
	# internet access

override_dh_installinit:
	dh_installinit -p maas-region-api --name=maas-regiond --no-start
	dh_installinit -p maas-region-api --name=maas-regiond-worker@  --no-start
	dh_installinit -p maas-rack-controller --name=maas-rackd
	dh_installinit -p maas-proxy --name=maas-proxy
	dh_installinit -p maas-dhcp --name=maas-dhcpd
	dh_installinit -p maas-dhcp --name=maas-dhcpd6

override_dh_systemd_enable:
	dh_systemd_enable -p maas-region-api --name=maas-regiond
	dh_systemd_enable -p maas-rack-controller --name=maas-rackd
	dh_systemd_enable -p maas-proxy --name=maas-proxy
	dh_systemd_enable -p maas-dhcp --name=maas-dhcpd
	dh_systemd_enable -p maas-dhcp --name=maas-dhcpd6

override_dh_systemd_start:
	dh_systemd_start -p maas-region-api --no-start maas-regiond.service
	dh_systemd_start -p maas-rack-controller maas-rackd.service
	dh_systemd_start -p maas-proxy maas-proxy.service
	dh_systemd_start -p maas-dhcp maas-dhcpd.service
	dh_systemd_start -p maas-dhcp maas-dhcpd6.service

override_dh_auto_build:
	dh_auto_build

	mkdir -p $(BUILDHOME)
	HOME=$(BUILDHOME) PYTHONPATH=$(CURDIR)/src/ $(PYTHON3)	\
		$(CURDIR)/src/maasserver/utils/jsenums.py	\
		$(py_enums) > $(BUILDHOME)/enums.js

override_dh_auto_install:
	dh_auto_install

	# Move static files
	install -d -m 755  $(CURDIR)/debian/tmp/usr/share/maas/web/static
	mv $(CURDIR)/debian/tmp/usr/lib/$(PYTHON3)/*-packages/maasserver/static \
                $(CURDIR)/debian/tmp/usr/share/maas/web/

	# Remove scss directory from static files
	rm -rf $(CURDIR)/debian/tmp/usr/share/maas/web/scss

	# Install built enums.js file.
	cp $(BUILDHOME)/enums.js $(CURDIR)/debian/tmp/usr/share/maas/web/static/js/

	# install the apparmor profile
	install -d -m 755 $(CURDIR)/debian/tmp/etc/apparmor.d/dhcpd.d
	install -m 644 $(CURDIR)/debian/maas-dhcp.apparmor \
	    $(CURDIR)/debian/tmp/etc/apparmor.d/dhcpd.d/maas

	# install python3 twisted plugins
	set -ex; for python in $(PYTHON3); do \
		dh_install twisted/plugins/maasregiond.py usr/lib/$$python/dist-packages/twisted/plugins -pmaas-region-api; \
		dh_install twisted/plugins/maasrackd.py usr/lib/$$python/dist-packages/twisted/plugins -pmaas-rack-controller; \
	done

	dh_install --list-missing

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILDHOME)
	rm -rf src/*.egg-info

DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
REV=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: .*[+~]bzr([0-9]+).*,\1,p')
VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: ([^-]+).*,\1,p')
get-orig-source:
	bzr export -r $(REV) --root=maas-$(VER).orig \
             maas_$(VER).orig.tar.gz lp:maas

## maas 2.3.0~beta2-6327

=== requirements.txt ===
convoy==0.4.4
crochet==1.5.0
django==1.11
formencode==1.3.1
httplib2==0.9.2
jsonschema==2.5.1
lxml==3.5.0
netaddr==0.7.18
netifaces==0.10.4
oauthlib==1.1.2
paramiko==1.16.3
petname==2.0
pexpect==4.2.0
psycopg2==2.6.2
pymongo==3.2
pyopenssl==16.2.0
pyparsing==2.0.7
pyvmomi==6.0.0.2016.6
requests==2.11.0
service_identity==16.0.0
sphinx==1.4.5
tempita==0.5.2
twisted==16.4.1
zope.interface==4.2.0
git+https://github.com/seamicro/python-seamicroclient@master#egg=python-seamicroclient
git+https://github.com/shylent/python-tx-tftp@master#egg=python-tx-tftp
git+https://github.com/Supervisor/supervisor@master#egg=supervisor
git+https://git.launchpad.net/~maas-maintainers/django-piston3#egg=django-piston3
http://pyyaml.org/download/pyyaml/PyYAML-3.11.tar.gz#egg=pyyaml
bzr+lp:curtin#egg=curtin
bzr+lp:simplestreams#egg=python-simplestreams
bzr+lp:ubuntu/wily/python-oauth#egg=oauth

## maas 2.3.0~beta2-6327-gdd05aa2

=== debian/changelog ===
maas (2.3.0~beta2-6327-gdd05aa2-0ubuntu1) artful; urgency=medium

  * New bugfix upstream release, 2.3.0 beta2 (LP: #1717543).
    - This release is only a bugfix release. Please see CHANGELOG for more
      information.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 11 Oct 2017 12:22:51 -0400

maas (2.3.0~beta1-6301-gca25180-0ubuntu1) artful; urgency=medium

  * New upstream release, 2.3.0 beta1 (LP: #1717543):
    - Update the UI to surface hardware testing.
    - Rack Controller deployment for all machines via the API.
    - UI Improvements: Use new design for node details page and address
      various other UX issues.
    - API improvements: Introduce API output for volume_groups, raids,
      cache_sets and baches to the machines output. Used to support libmaas.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 04 Oct 2017 09:38:40 -0400

maas (2.3.0~alpha3-6250-g58f83f3-0ubuntu1) artful; urgency=medium

  * New upstream release, 2.3.0 alpha3 (LP: #1717543):
    - Hardware Testing:
      + Ability to test and gather results per individual component
        (e.g. per disks).
      + Add 7z CPU performance test.
      + Add fio storage performance test.
      + Add ability to define YAML metadata for custom testing scripts,
        allowing MAAS to parse and utilize such metadata.
    - Rack Controller deployment for Whitebox Switches.
    - Improved DNS reloading.
    - UI - Controller Versions & Notifications.
    - UI - Refactor Zones page in Angular away from YUI.
  * Move scripts to maas-common that are used by the MAAS region controller
    in addition to the rack.
    - Add /usr/lib/maas/maas-common script.
  * Bump debhelper compat level 9.
  * debian/maas-common.links: Drop as it created a link for a binary that
    was already deprecated.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 15 Sep 2017 10:37:57 -0500

maas (2.3.0~alpha2-6194-g7fb23b0-0ubuntu1) artful; urgency=medium

  * New upstream release, 2.3.0 alpha2:
    - Support for CentOS & Windows netwok configuration
    - Add Switch model
    - Add better Network Discovery & Beaconing
    - Minor UI improvements

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 22 Aug 2017 13:49:24 -0400

maas (2.3.0~alpha1-6165-geae082b-0ubuntu1) artful; urgency=medium

  * New upstream release, 2.3.0 alpha1:
    - Support for django 1.11.
    - Support for upstream proxy.
    - Support ephemeral image via HTTP instead of iSCSI.
  * Add "maas-rack observe-beacons" to list of commands capable of
    running as the "maas" user.
  * Add /usr/lib/maas/maas-beacon-monitor script.
  * Add maas-beacon-monitor script to sudoers file.
    (Allows observation of UDP traffic sent to port 5240.)
  * Conflicts with python3-googleapi

 -- Andres Rodriguez <andreserl@ubuntu.com>  Sat, 29 Jul 2017 10:56:23 +0100

maas (2.2.0+bzr6054-0ubuntu2) artful; urgency=medium

  * debian/rules: Fix FTBFS in artful.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 08 Jun 2017 18:57:01 -0400

maas (2.2.0+bzr6054-0ubuntu1) artful; urgency=medium

  * New upstream release, MAAS 2.2.0.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 18 May 2017 11:08:43 -0400

maas (2.2.0~rc4+bzr6048-0ubuntu1) zesty; urgency=medium

  * New upstream release, MAAS 2.2.0 RC 4.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 27 Apr 2017 16:10:06 -0400

maas (2.2.0~rc3+bzr6025-0ubuntu1) artful; urgency=medium

  * New upstream release, MAAS 2.2.0 RC 3.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 21 Apr 2017 09:49:58 -0400

maas (2.2.0~rc2+bzr5983-0ubuntu1) zesty; urgency=medium

  * New upstream release, MAAS 2.2.0 RC 2.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Sat, 15 Apr 2017 00:17:22 -0400

=== debian/control ===
Source: maas
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9~),
               dh-apport,
               dh-exec,
               dh-python,
               dh-systemd,
               po-debconf,
               python3-all,
               python3-django,
               python3-setuptools,
               python3-twisted
Standards-Version: 3.9.7
X-Python3-Version: >= 3.5
Homepage: http://maas.io/

Package: maas
Architecture: all
Depends: maas-rack-controller (= ${binary:Version}),
         maas-region-controller (= ${binary:Version}),
         python3-django-maas (= ${binary:Version}),
         ${misc:Depends}
Description: "Metal as a Service" is a physical cloud and IPAM
 MAAS runs a software-defined data centre - it turns a collection of physical
 servers and switches into a bare metal cloud with full open source IP address
 management (IPAM) and instant provisioning on demand.
 .
 MAAS controls the servers through IPMI or another BMC or  converged chassis
 controller such as Cisco UCS. It provides a full inventory  of components,
 and can install Ubuntu, CentOS or Windows very fast on any  server under
 its control. It can also track and provide DHCP and DNS for other devices
 on the network.
 .
 MAAS handles VLANs and fabrics that span many trunked switches, as well as
 the routing-centric infrastructure typically used for large-scale OpenStack
 or other scale-out deployments. MAAS manages IP addresses and provides APIs
 for address assignment and release. MAAS can also allocate IP addresses for
 containers on machines, and release them when the machine is repurposed. MAAS
 provides PXE, DHCP, DNS and other low-level  services to ensure the cluster
 works smoothly.
 .
 MAAS works with any configuration system, and is recommended by the teams
 behind both Chef and Juju as a physical provisioning system.
 .
 MAAS provides:
 .
  * Hardware inventory of servers
  * Dynamic provisioning based on name or attributes such as disk, RAM, cores,
    nics, networking, gpu’s or architecture
  * DNS and DHCP as needed
  * PXE boot services
 .
 This package is a metapackage which installs all of the separate components
 of MAAS on a single machine.

Package: maas-common
Architecture: all
Depends: rsyslog,
         ${misc:Depends},
         ${python3:Depends},
         python3-maas-provisioningserver
Breaks: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
Description: MAAS server common files
 This package contains the common files for any MAAS installation.

Package: maas-region-api
Architecture: all
Depends: apache2,
         bind9utils,
         iproute2,
         libjs-angularjs,
         libjs-yui3-full,
         libjs-yui3-min,
         maas-cli (=${binary:Version}),
         maas-common (= ${binary:Version}),
         maas-proxy (= ${binary:Version}),
         ntp,
         python3-bson,
         python3-django,
         python3-django-maas (= ${binary:Version}),
         python3-django-piston3,
         python3-djorm-ext-pgarray,
         python3-maas-provisioningserver (= ${binary:Version}),
         python3-petname,
         python3-requests,
         ubuntu-cloudimage-keyring,
         ${misc:Depends},
         ${python3:Depends}
Conflicts: maas-region-controller-min
Replaces: maas-region-controller-min
Provides: maas-region-controller-min
Description: Region controller API service for MAAS
 The MAAS region controller consists of REST API services and a postgres
 database. This package installs only the API services (maas-regiond).
 Use it to scale out the API front-end of your MAAS region controller.

Package: maas-region-controller
Architecture: all
Depends: avahi-utils,
         dbconfig-pgsql,
         iputils-ping,
         maas-dns (= ${binary:Version}),
         maas-region-api (= ${binary:Version}),
         postgresql (>= 9.1),
         tcpdump,
         ${misc:Depends},
Recommends: openssh-server
Suggests: nmap
Description: Region Controller for MAAS
 The MAAS region controller (maas-regiond) is the REST API server for
 all MAAS clients, and the postgres database that maintains machine
 state for the entire data centre (or “region”). The region controller 
 an be scaled-out and highly available given the appropriate postgres
 setup and additional API servers.
 .
 This package installs the postgres database and the API server, so it
 is appropriate for the initial installation of a new MAAS region. To
 scale out the controller or make it highly available, install
 maas-region-controller-api on additional servers and ensure the
 postgres database is HA too.

Package: python3-maas-provisioningserver
Section: python
Architecture: all
Depends: archdetect-deb,
         lshw,
         openssh-client,
         python3-attr,
         python3-bson,
         python3-crochet,
         python3-curtin (>> 0.1.0~bzr515),
         python3-distro-info,
         python3-formencode,
         python3-jsonschema,
         python3-lxml,
         python3-maas-client (= ${binary:Version}),
         python3-netifaces,
         python3-oauth,
         python3-oauthlib,
         python3-paramiko,
         python3-pexpect,
         python3-pyparsing,
         python3-pyvmomi,
         python3-seamicroclient,
         python3-simplejson,
         python3-simplestreams,
         python3-tempita,
         python3-twisted,
         python3-txtftp,
         python3-yaml,
         python3-zope.interface,
         isc-dhcp-client,
         iproute2,
         ${misc:Depends},
         ${python3:Depends}
Description: MAAS server provisioning libraries (Python 3)
 This package provides the MAAS provisioning server python libraries.
 .
 This package contains Python 3 libraries.

Package: maas-cli
Architecture: all
Depends: python3-maas-client (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Breaks: maas-region-controller-min (<= 1.5+bzr1909-0ubuntu1)
Replaces: maas-region-controller-min (<= 1.5+bzr1909-0ubuntu1)
Description: MAAS client and command-line interface
 This package contains the 'maas' command-line interface, which
 talks to the MAAS region controller REST API. Use the maas command
 to login to MAAS and drive the data centre entirely from the
 command-line.

Package: python3-maas-client
Section: python
Architecture: all
Depends: python3-httplib2,
         python3-oauth,
         ${misc:Depends},
         ${python3:Depends}
Breaks: python-maas-client, maas-cli ( <= 2.0.0~alpha4+bzr4843-0ubuntu1 )
Replaces: python-maas-client, maas-cli ( <= 2.0.0~alpha4+bzr4843-0ubuntu1 )
Conflicts: python3-googleapi
Description: MAAS python API client (Python 3)
 This package contains the MAAS client API Python modules.
 .
 This package contains Python 3 modules.

Package: maas-rack-controller
Architecture: all
Depends: authbind,
         avahi-utils,
         bind9utils,
         distro-info,
         freeipmi-tools,
         grub-common,
         iputils-ping,
         maas-cli (=${binary:Version}),
         maas-common (=${binary:Version}),
         maas-dhcp (=${binary:Version}),
         ntp,
         pxelinux | syslinux-common (<< 3:6.00~pre4+dfsg-5),
         python3-httplib2,
         python3-maas-provisioningserver (=${binary:Version}),
         python3-netaddr,
         python3-tempita,
         python3-twisted,
         python3-zope.interface,
         syslinux-common,
         tcpdump,
         tgt,
         uuid-runtime,
         wget,
         ${misc:Depends},
         ${python3:Depends}
Suggests: amtterm, ipmitool, libvirt-bin, nmap, wsmancli
Conflicts: tftpd-hpa
Breaks: python-maas-provisioningserver,
        maas-cluster-controller
Replaces: python-maas-provisioningserver,
          maas-cluster-controller
Description: Rack Controller for MAAS
 The MAAS rack controller (maas-rackd) provides highly available, fast
 and local broadcast services to the machines provisioned by MAAS. You
 need a MAAS rack controller attached to each fabric (which is a set of
 trunked switches). You can attach multiple rack controllers to these
 physical networks for high availability, with secondary rack controllers
 automatically stepping to provide these services if the primary rack
 controller fails.
 .
 A common configuration is to have a rack controller in each rack, with
 a fast primary network interface to the rack switch and secondary
 network interfaces on one or two other nearby racks for high
 availability redundancy.
 .
 This package depends on the necessary components to provide iSCSI,
 DHCP, TFTP and power management.

Package: python3-django-maas
Section: python
Architecture: all
Depends: python3-apt,
         python3-attr,
         python3-convoy,
         python3-crochet,
         python3-curtin (>> 0.1.0~bzr515),
         python3-lxml,
         python3-maas-client (= ${binary:Version}),
         python3-markupsafe,
         python3-netaddr,
         python3-psycopg2,
         python3-sphinx,
         python3-tempita,
         python3-twisted,
         python3-zope.interface,
         ${misc:Depends},
         ${python3:Depends}
Breaks: python-django-maas
Replaces: python-django-maas
Description: MAAS server Django web framework (Python 3)
 This package provides the Django web framework for MAAS.
 .
 This package contains Python 3 modules.

Package: maas-dhcp
Architecture: all
Depends: isc-dhcp-server (>= 4.3.3-5ubuntu10~), ${misc:Depends}
Description: MAAS DHCP server
 This package installs and configures a DHCP server that can be used by
 MAAS, and enhances the overall MAAS user experience.

Package: maas-dns
Architecture: all
Depends: bind9 (>= 1:9.10.3.dfsg.P2-5~),
         maas-region-api (= ${binary:Version}),
         ${misc:Depends}
Conflicts: dnsmasq
Description: MAAS DNS server
 This package installs and configures a DNS server that can be used by
 MAAS, and enhances the overall MAAS user experience.

Package: maas-proxy
Architecture: all
Depends: squid (>> 3.5), ${misc:Depends}
Conflicts: squid-deb-proxy
Description: MAAS Caching Proxy
 This package installs and configures a Caching Proxy server that can be
 used by MAAS. It enhances the overall MAAS user experience.

Package: maas-region-udeb
Package-Type: udeb
Section: debian-installer
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
XB-Installer-Menu-Item: 2350
Description: Install a MAAS server (installer integration)

Package: maas-rack-udeb
Package-Type: udeb
Section: debian-installer
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
XB-Installer-Menu-Item: 2350
Description: Install a MAAS Rack controller (installer integration)

## maas 2.3.0-6434

=== requirements.txt ===
pyopenssl==16.2.0
pyvmomi==6.0.0.2016.6
service_identity==16.0.0
git+https://github.com/Supervisor/supervisor@master#egg=supervisor

## maas 2.3.0-6434-gd354690

=== debian/changelog ===
maas (2.3.0-6434-gd354690-0ubuntu1~17.10.1) artful-proposed; urgency=medium

  * Stable Release Update. New upstream release, MAAS 2.3.0 (LP: #1733615):
    - Add support for CentOS & Windows networking.
    - Add support for Upstream Proxy.
    - Add the ability to deploy rack controllers.
    - Add the ability to report controller versions.
    - Add HTTP boot for ephemeral images, instead of 'tgt'.
    - Add django 1.11 support.
    - Introduce beaconing for better network discovery.
    - Improve hardware testing for better usage and feedback.
    - Improves performance by improving DNS reloading performance.
    - Machine, devices & controller page re-design.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 20 Nov 2017 14:08:22 -0500

## maas 2.3.5-6511

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-python := python3.5
+python := python3
 
 # pkg_resources makes some incredible noise about version numbers. They
 # are not indications of bugs in MAAS so we silence them everywhere.
@@ -24,7 +24,6 @@
 py_enums := $(wildcard src/*/enum.py)
 # JavaScript enum module (not modules).
 js_enums := src/maasserver/static/js/enums.js
-templates := $(shell find etc/maas/templates -type f)
 
 # MAAS SASS stylesheets. The first input file (maas-styles.css) imports
 # the others, so is treated specially in the target definitions.
@@ -53,6 +52,7 @@
   bin/buildout \
   bin/database \
   bin/maas \
+  bin/maas-common \
   bin/maas-rack \
   bin/maas-region \
   bin/twistd.rack \
@@ -66,7 +66,8 @@
   bin/test.e2e \
   bin/test.parallel \
   bin/py bin/ipy \
-  $(js_enums)
+  $(js_enums) \
+  pycharm
 
 all: build doc
 
@@ -90,9 +91,8 @@
 	utilities/configure-buildout
 
 sudoers:
+	utilities/install-sudoers
 	utilities/grant-nmap-permissions
-	utilities/install-arp-observer
-	utilities/install-dhcp-observer
 
 bin/buildout: bootstrap-buildout.py
 	@utilities/configure-buildout --quiet
@@ -119,7 +119,7 @@
 
 bin/test.region: \
   bin/buildout buildout.cfg versions.cfg setup.py $(js_enums) \
-  bin/maas-region bin/maas-rack
+  bin/maas-region bin/maas-rack bin/maas-common
 	$(buildout) install region-test
 	@touch --no-create $@
 
@@ -153,7 +153,7 @@
 	$(buildout) install testing-test
 	@touch --no-create $@
 
-bin/maas-rack bin/twistd.rack: \
+bin/maas-rack bin/twistd.rack bin/maas-common: \
   bin/buildout buildout.cfg versions.cfg setup.py
 	$(buildout) install rack
 	@touch --no-create $@
@@ -188,6 +188,7 @@
   karma-opera-launcher@0.3.0
   karma-phantomjs-launcher@0.2.3
   karma-failed-reporter@0.0.3
+  karma-ng-html2js-preprocessor@1.0.0
   phantomjs@2.1.7
 endef
 
@@ -228,7 +229,7 @@
 
 test: bin/test.parallel bin/coverage
 	@$(RM) .coverage .coverage.*
-	@bin/test.parallel --subprocess-per-core
+	@bin/test.parallel --with-coverage --subprocess-per-core
 	@bin/coverage combine
 
 test-serial: $(strip $(test-scripts))
@@ -288,7 +289,7 @@
 
 lint: \
     lint-py lint-py-complexity lint-py-imports \
-    lint-js lint-junk lint-doc lint-rst
+    lint-js lint-doc lint-rst
 
 pocketlint = $(call available,pocketlint,python-pocket-lint)
 
@@ -300,26 +301,25 @@
 
 # Python lint checks are time-intensive, but flake8 now knows how to run
 # parallel jobs, and does so by default.
-lint-py: sources = setup.py src templates twisted
+lint-py: sources = setup.py src twisted
 lint-py: bin/flake8
 	@find $(sources) -name '*.py' \
 	  ! -path '*/migrations/*' ! -path '*/south_migrations/*' -print0 \
-	    | xargs -r0 bin/flake8 --ignore=E123,E305,E402,E731 --isolated
+	    | xargs -r0 bin/flake8 --config=.flake8
 
 # Ignore tests when checking complexity. The maximum complexity ought to
 # be close to 10 but MAAS has many functions that are over that so we
 # start with a much higher number. Over time we can ratchet it down.
 lint-py-complexity: maximum=26
-lint-py-complexity: sources = setup.py src templates twisted
+lint-py-complexity: sources = setup.py src twisted
 lint-py-complexity: bin/flake8
 	@find $(sources) -name '*.py' \
 	  ! -path '*/migrations/*' ! -path '*/south_migrations/*' \
 	  ! -path '*/tests/*' ! -path '*/testing/*' ! -name 'testing.py' \
-	  -print0 | xargs -r0 bin/flake8 --ignore=E123,E305,E402,E731 \
-	              --isolated --max-complexity=$(maximum)
+	  -print0 | xargs -r0 bin/flake8 --config=.flake8 --max-complexity=$(maximum)
 
 # Statically check imports against policy.
-lint-py-imports: sources = setup.py src templates twisted
+lint-py-imports: sources = setup.py src twisted
 lint-py-imports:
 	@utilities/check-imports
 	@find $(sources) -name '*.py' \
@@ -338,24 +338,11 @@
 	    '(' -name '*.html' -o -name '*.js' ')' -print0 \
 		| xargs -r0 -n20 -P4 $(pocketlint)
 
-# Sometimes junk gets added to MAAS, like .moved files.
-lint-junk:
-	@if bzr ls --recursive --versioned | egrep '[.]moved$$'; then \
-	    echo "^ Junk found. Please remove it from the tree." >&2 ; fi
-
 # Apply automated formatting to all Python files.
-format: sources = $(wildcard *.py contrib/*.py) src templates twisted utilities etc
+format: sources = $(wildcard *.py contrib/*.py) src twisted utilities etc
 format:
 	@find $(sources) -name '*.py' -print0 | xargs -r0 utilities/format-imports
 
-# Update copyright dates from version history. Try to avoid updating
-# 3rd-party code by checking for "Canonical" or "MAAS" on the same line
-# as the copyright header.
-copyright:
-	@bzr ls --versioned --recursive --kind=file --null | \
-	    xargs -r0 egrep -iI 'copyright.*(canonical|maas)' -lZ | \
-	    xargs -r0 bzr update-copyright --quiet --force-range
-
 check: clean test
 
 docs/api.rst: bin/maas-region src/maasserver/api/doc_handler.py syncdb
@@ -380,3 +367,29 @@
 man/%: docs/man/%.rst | bin/sphinx-build
 	bin/sphinx-build -b man docs man $^
 
+.run .run-e2e: run-skel
+	@cp --archive --verbose $^ $@
+
+.idea: contrib/pycharm
+	@cp --archive --verbose $^ $@
+
+pycharm: .idea
+
+enums: $(js_enums)
+
+$(js_enums): bin/py src/maasserver/utils/jsenums.py $(py_enums)
+	bin/py -m maasserver.utils.jsenums $(py_enums) > $@
+
+styles: clean-styles $(scss_output)
+
+$(scss_output): bin/sass $(scss_theme) $(scss_input) $(scss_deps)
+	bin/sass --include-path=src/maasserver/static/scss \
+	    --output-style compressed $(scss_input) -o $(dir $@)
+
+$(scss_theme): prefix = include/nodejs
+$(scss_theme):
+	$(npm_install) --prefix $(prefix) maas-gui-vanilla-theme-new@1.3.0
+
+clean-styles:
+	$(RM) $(scss_output)
+

## maas 2.3.5-6511-gf466fdb

=== debian/changelog ===
maas (2.3.5-6511-gf466fdb-0ubuntu1) xenial-proposed; urgency=medium

  * Stable Release Update. New upstream release, MAAS 2.3.5 (LP: #1772010):
    - MAAS 2.3.5 is a new upstream release that fixes a regressions that
      affects some users using the MAAS built-in proxy in 2.3.4.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 23 Aug 2018 12:30:04 -0400

maas (2.3.4-6508-g4f77e30-0ubuntu1) xenial-proposed; urgency=medium

  * Stable Release Update. New upstream release, MAAS 2.3.4 (LP: #1772010):
    - MAAS 2.3.4 is a new upstream release that fixes several bugs
      present on MAAS 2.3.0.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 30 Jul 2018 20:30:01 -0400

maas (2.3.0-6434-gd354690-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * Stable Release Update. New upstream release, MAAS 2.3.0 (LP: #1733615):
    - Add support for CentOS & Windows networking.
    - Add support for Upstream Proxy.
    - Add the ability to deploy rack controllers.
    - Add the ability to report controller versions.
    - Add HTTP boot for ephemeral images, instead of 'tgt'.
    - Add django 1.11 support.
    - Introduce beaconing for better network discovery.
    - Improve hardware testing for better usage and feedback.
    - Improves performance by improving DNS reloading performance.
    - Machine, devices & controller page re-design.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 20 Nov 2017 14:08:22 -0500

maas (2.2.2-6099-g8751f91-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * Stable Release Update. New MAAS upstream release 2.2.2 (LP: #1708651)
    - MAAS 2.2.2 is a new upstream bugfix release that fixes several bugs
      present on MAAS 2.2.0. This is solely a bug fix release. To see what
      issues have been fixes, please refer to the CHANGELOG.
  * debian/control: Conflicts with python3-googleapi.
  * debian/rules: Drop get-orig-source as MAAS & packaging are now in GIT.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 04 Aug 2017 08:37:54 -0400

maas (2.2.0+bzr6054-0ubuntu2~16.04.1) xenial-proposed; urgency=medium

  * Stable Release Update. New MAAS upstream release 2.2.0 (LP: #1696752)
    - Support for Intel Rack Scale Design as a MAAS Pod.
    - Support for KVM as a MAAS Pod.
    - Support for Hardware Testing.
    - Support for Unmanaged Subnets.
    - Support for L2 Spaces.
    - Support for DHCP Relay.
    - Support for FB Wedge 40 & 100 switch discovery and deployment.
    - Improve Windows deployment.
    - Improved Commissioning environment.
    - Improved UX & UI.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 08 Jun 2017 19:42:04 -0400

maas (2.1.5+bzr5596-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

   * Stable Release Update. New MAAS upstream bugfix release 2.1.5 (LP: #1669498)
     - MAAS 2.1.5 is a new upstream bugfix release that fixes several bugs
       present on MAAS 2.1.0. This is solely a bugfix release. To see what
       issues this release fixes, please refer to the CHANGELOG.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 27 Mar 2017 20:36:13 -0400

maas (2.1.3+bzr5573-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * Stable Release Update. New MAAS upstream bugfix release 2.1.3 (LP: #1644071)
    - MAAS 2.1.3 is a new upstream bugfix release that fixes several bugs
      present on MAAS 2.1.0. This is solely a bugfix release. To see what
      issues this release fixes, please refer to the CHANGELOG.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 22 Dec 2016 08:22:55 -0500

maas (2.1.1+bzr5544-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * MAAS new upstream bugfix release, 2.1.1 bzr 5544 (SRU LP: #1639766):
    - Support new consolidated images (squashfs)
    - Support for new HWE kernels & Low Latency kernels.
    - Support for NTP configuration
    - Support for third party and derived repositories.
    - Support for IPv6
    - Support for static routes
    - Support for Network Bridge Configuration
    - Introduce the First User Journey
    - Introduce Device Discovery

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 24 Oct 2016 11:28:59 -0400

maas (2.0.0+bzr5189-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * New upstream release, 2.0.0 bzr5189 (SRU LP: #1615210):
    - Cluster Controllers now deprecated. Introducing Rack Controllers.
      + Machine no longer belong to Rack Controllers.
      + High availability it is now supported.
      + Rack Controllers manage DHCP on the Fabric Level.
    - Region Controller high availability and scalability.
      + Ability to configure multiple Region Controller API endpoints.
    - API 1.0 has been deprecated. Introducing new API 2.0.
    - MAAS is introducing IP Ranges and deprecated the Static Range.
      + MAAS now controls the whole subnet.
      + The static Range has now been deprecated.
      + Users can now only create a dynamic or reserved range.
    - MAAS Static Range has been deprecated. MAAS Controls the whole Subnet.
    - New networks GUI.
    - MAAS now fully manages DNS.
    - Extended Storage Support. Includes:
      + XFS, Mount Options, Swap Partitions, tmpfs/ramfs.
    - Adding support for DHCP Snippets.
      + Creates extra custom DHCP config at the Node, Subnet and Global level.
    - MAAS Proxy is now managed by MAAS.
    - Service Tracking. MAAS now tracks status of the several services it runs.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 22 Aug 2016 16:25:57 +0100

maas (2.0.0~rc2+bzr5156-0ubuntu1~16.04.2) xenial-proposed; urgency=medium

  * debian/patches/lp1604128_workaround_python_lp1604147: Work around a
    regression in the recent update to Python 3.5.2 that lost the
    pathlib.Path.path property. (LP: #1604128)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 18 Jul 2016 16:56:26 -0400

maas (2.0.0~rc2+bzr5156-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * New upstream bugfix release, 2.0.0 RC2 bzr5143 (LP: #1599523):
    - This new upstream release is a bug fix release that addresses several


=== debian/control ===
--- 
+++ 
@@ -178,7 +178,10 @@
 Section: python
 Architecture: all
 Depends: python3-httplib2,
+         python3-netifaces,
          python3-oauth,
+         python3-tempita,
+         python3-yaml,
          ${misc:Depends},
          ${python3:Depends}
 Breaks: python-maas-client, maas-cli ( <= 2.0.0~alpha4+bzr4843-0ubuntu1 )

=== debian/rules ===
--- 
+++ 
@@ -73,12 +73,3 @@
 	dh_auto_clean
 	rm -rf $(BUILDHOME)
 	rm -rf src/*.egg-info
-
-DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
-REV=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
-              | sed -rne 's,^Version: .*[+~]bzr([0-9]+).*,\1,p')
-VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
-              | sed -rne 's,^Version: ([^-]+).*,\1,p')
-get-orig-source:
-	bzr export -r $(REV) --root=maas-$(VER).orig \
-             maas_$(VER).orig.tar.gz lp:maas
